Skip to content

Your data / PVP tracker / Matches

List matches

GET
https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/matches

Lists the season's matches, newest first.

Parameters

  • seasonId (path): The season id.
  • from: Only matches at or after this time (Unix ms).
  • to: Only matches at or before this time (Unix ms).

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

Path parameters

NameValue
seasonId

Query parameters

NameValue
from
to
curl 'https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/matches?from=&to=' \
  -H 'Authorization: Bearer {{api_key}}'
Response
{
  "data": [
    {
      "id": "kd7ese0420mbwjawtcqj54rycx8e9741",
      "createdAt": "2026-09-12T18:24:52.127Z",
      "date": 1789074000000,
      "matchType": "attack",
      "opponentName": "ペロロ推し",
      "opponentTeam": [
        {
          "studentId": "haruna_newyear",
          "damage": 566392
        },
        {
          "studentId": "tsubaki",
          "damage": 210430
        },
        {
          "studentId": "yuuka",
          "damage": 253863
        },
        {
          "studentId": "shiroko_terror",
          "damage": 2850464
        },
        {
          "studentId": "hibiki",
          "damage": 2455683
        },
        {
          "studentId": "reisa_magical",
          "damage": 22281
        }
      ],
      "opponentTeamKey": "d1b078eb884b747e",
      "ownTeam": [
        {
          "studentId": "shiroko_terror",
          "damage": 2498706
        },
        {
          "studentId": "yuuka",
          "damage": 53172
        },
        {
          "studentId": "mika",
          "damage": 480780
        },
        {
          "studentId": "eimi",
          "damage": 248681
        },
        {
          "studentId": "reisa_magical",
          "damage": 10664
        },
        {
          "studentId": "utaha",
          "damage": 641365
        }
      ],
      "ownTeamKey": "87c5db1146f598f0",
      "result": "win",
      "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx"
    },
    {
      "id": "kd7c9s359tzb40zpp1xxr5m23d8e96ye",
      "createdAt": "2026-09-12T18:25:20.987Z",
      "date": 1789074000000,
      "enemyPresetId": "md7bhbqc3pdtptx2w6xkj2kv3d8e2pcz",
      "matchType": "attack",
      "opponentName": "Hinanbu",
      "opponentStudentRepId": "misaka_mikoto",
      "opponentTeam": [
        {
          "studentId": "shun",
          "damage": 584686
        },
        {
          "studentId": "hoshino_battle_dealer",
          "damage": 139014
        },
        {
          "studentId": "marina",
          "damage": 58185
        },
        {
          "studentId": "shiroko_terror",
          "damage": 1631926
        },
        {
          "studentId": "hibiki",
          "damage": 2059301
        },
        {
          "studentId": "shiroko_swimsuit",
          "damage": 0
        }
      ],
      "opponentTeamKey": "68a885102ce96189",
      "ownTeam": [
        {
          "studentId": "shiroko_terror",
          "damage": 1513971
        },
        {
          "studentId": "yuuka",
          "damage": 110235
        },
        {
          "studentId": "mika",
          "damage": 334593
        },
        {
          "studentId": "eimi",
          "damage": 224859
        },
        {
          "studentId": "reisa_magical",
          "damage": 5599
        },
        {
          "studentId": "utaha",
          "damage": 327809
        }
      ],
      "ownTeamKey": "87c5db1146f598f0",
      "result": "win",
      "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx"
    }
  ]
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc